/// <reference types="react" />
/**
 * When record locking mechanism is checking for records equality, it compares record `id` and `savedOn`.
 * When you're updating ACO cache, you're just passing the new content entry value(s), and sometimes you might
 * be doing it without the `savedOn`, and that causes record locking to keep its old state.
 *
 * This decorator ensures that calls to `updateRecordInCache` always include a `savedOn` timestamp.
 */
export declare const UseRecordsDecorator: () => import("react").JSX.Element;
